import request from '@/utils/request'

// 查询注销税务登记信息列表
export function listRegistration(query) {
  return request({
    url: '/basicData/xcrCancelTaxRegistration/findByPage',
    method: 'get',
    params: query
  })
}

// 查询注销税务登记信息详细
export function getRegistration(xhCodeId) {
  return request({
    url: '/basicData/xcrCancelTaxRegistration/' + xhCodeId,
    method: 'get'
  })
}

// 新增注销税务登记信息
export function addRegistration(data) {
  return request({
    url: '/basicData/xcrCancelTaxRegistration',
    method: 'post',
    data: data
  })
}

// 修改注销税务登记信息
export function updateRegistration(data) {
  return request({
    url: '/basicData/xcrCancelTaxRegistration',
    method: 'put',
    data: data
  })
}

// 删除注销税务登记信息
export function delRegistration(xhCodeId) {
  return request({
    url: '/basicData/xcrCancelTaxRegistration/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delRegistrationBatch(ids) {
  return request.post('/basicData/xcrCancelTaxRegistration/delete',ids)
}
